module.exports = {
  extends: [
    "eslint:recommended",
    "plugin:vue/strongly-recommended",
    "prettier",
    "plugin:@intlify/vue-i18n/recommended",
  ],
  rules: {
    "no-unused-vars": "warn",
    "vue/no-unused-vars": "off",
    "vue/multi-word-component-names": "off",
    "@intlify/vue-i18n/key-format-style": [
      "error",
      "snake_case",
      {
        splitByDots: false,
      },
    ],
    // "@intlify/vue-i18n/no-unused-keys": ["warn", {}],
    "@intlify/vue-i18n/no-raw-text": [
      "error",
      {
        ignoreNodes: ["v-icon"],
        ignorePattern: "^[-–—·#:()\\[\\]&\\.\\s]+$",
      },
    ],
  },
  settings: {
    "vue-i18n": {
      localeDir: "./aleksis/core/frontend/messages/*.{json}",
      messageSyntaxVersion: "^8.0.0",
    },
  },
  env: {
    es2021: true,
  },
  parserOptions: {
    ecmaVersion: "latest",
  },
};
